/* css for tasks goes here */

/* --- Guess Tone Task --- */


zizi-guess-tone figure .hanzi-pinyin {
    opacity: 0;
}

zizi-guess-tone .secondary.options {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 1vw;
  align-content: start;
  margin-top: 2vmin;
  opacity: 1;
}

zizi-guess-tone .secondary.options button {
    width: 17vw;
    height: 17vw;
    font-size: 7vmin;
    border: none;
    background-color: rgb(225, 225, 225);
    transition: background-color 0.2s;
    cursor: pointer
}

zizi-guess-tone .secondary.options button.correct {
    background-color: rgb(155, 188, 155);
}

zizi-guess-tone .secondary.options button.incorrect {
    background-color: rgb(229, 126, 126);
}


/* --- Similar Char Task --- */

zizi-similar-char-task .secondary.options {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 1vw;
  align-content: start;
  margin-top: 2vmin;
  opacity: 1;


}

zizi-similar-char-task figure {
    opacity: 0 !important;
}

zizi-similar-char-task.revealed figure {
    opacity: 1 !important;
}


zizi-similar-char-task .secondary.options .option {
    background-color: rgb(225, 225, 225);
    transition: background-color 0.2s;
    cursor: pointer;
    height: 20vmin;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    flex-wrap: nowrap;
}

zizi-similar-char-task .secondary.options zizi-hanzi {
    width: 20vmin;
    border: none;
}


zizi-similar-char-task.revealed .secondary.options .option.correct {
    background-color: rgb(155, 188, 155);
}

zizi-similar-char-task.revealed .secondary.options .option.incorrect {
    background-color: rgb(229, 126, 126);
}

tasks-overview {
    display: block;
    font-size: 60%;
}

tasks-overview h2 {
    text-align: center;
    background-color: rgb(225, 225, 225);
    font-weight: normal;
    padding: 1vmin 0;
    margin: 0;
}


tasks-overview .tasks-container {
    display: flex;
    flex-direction: row;
    gap:6vmin;
    align-items: center;
    justify-content: center;
    padding-top: 5vmin;
    flex-wrap: wrap;;
}

tasks-overview .tasks-container > * {
    background-color: rgb(225, 225, 225);
    padding: 1vmin;
}

tasks-overview zizi-hanzi {
    width: 20vmin;
    max-width: 20rem;

}

tasks-overview zizi-sentence .zizi-sentence__container {    
    flex-wrap: nowrap;
}

zizi-similar-char-task.two-char-mode .secondary.options {
  grid-template-columns: repeat(2, 1fr);
}

@media (orientation: landscape) {
    tasks-overview .tasks-container {
        flex-direction: row;
        gap: 5vmin;
    }

    tasks-overview zizi-hanzi {
        width: 10vmin;
    }
}

/* --- Match Pinyin Task --- */

zizi-match-pinyin-task figure {
    display: none;
}

zizi-match-pinyin-task .secondary .match-pinyin-container {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    gap: 4vmin;
    opacity: 1;
    width:75vmin;
    margin: 2vmin auto 0 auto;
}

zizi-match-pinyin-task .secondary.single-char .match-pinyin-container {
    width:40vmin;

}

zizi-match-pinyin-task .chars-container,
zizi-match-pinyin-task .pinyin-container {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 1vw;
    width: 45%;
}

zizi-match-pinyin-task .chars-container .word-option,
zizi-match-pinyin-task .pinyin-container .pinyin-option {
    background-color: rgb(225, 225, 225);
    transition: background-color 0.2s, border-color 0.2s;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 6vmin;
        width: 34vmin !important;
    height: 17vmin; /* override default */

}

zizi-match-pinyin-task .chars-container .word-option zizi-hanzi {
        width: 17vmin !important;
    height: 17vmin; /* override default */

}


zizi-match-pinyin-task .single-char .chars-container .word-option,
zizi-match-pinyin-task .single-char .pinyin-container .pinyin-option {
        width: 17vmin !important;
    height: 17vmin; /* override default */

}


zizi-match-pinyin-task .chars-container .word-option.selected, zizi-match-pinyin-task .pinyin-container .pinyin-option.selected {
    background-color: #939393;
}

zizi-match-pinyin-task .correct {
    background-color: rgb(155, 188, 155) !important;
    border-color: transparent !important;
    pointer-events: none;
}

zizi-match-pinyin-task .incorrect {
    background-color: rgb(229, 126, 126) !important;
    border-color: transparent !important;
}

/* --- Match Meaning Task --- */

zizi-match-meaning-task figure {
    display: none;
}

zizi-match-meaning-task .secondary .match-meaning-container {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    gap: 4vmin;
    opacity: 1;
    width:75vmin;
    margin: 2vmin auto 0 auto;
}


zizi-match-meaning-task .words-container,
zizi-match-meaning-task .meanings-container {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 1vw;
    width: 45%;
}

zizi-match-meaning-task .words-container .word-option,
zizi-match-meaning-task .meanings-container .meaning-option {
    background-color: rgb(225, 225, 225);
    transition: background-color 0.2s, border-color 0.2s;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 4vmin;
    width: 34vmin !important;
    height: 17vmin;
    padding: 1vmin;
    text-align: center;
}

zizi-match-meaning-task .words-container .word-option zizi-hanzi {
    width: 17vmin !important;
    height: 17vmin;
}

zizi-match-meaning-task .words-container .word-option.selected, 
zizi-match-meaning-task .meanings-container .meaning-option.selected {
    background-color: #939393;
}

zizi-match-meaning-task .correct {
    background-color: rgb(155, 188, 155) !important;
    border-color: transparent !important;
    pointer-events: none;
}

zizi-match-meaning-task .incorrect {
    background-color: rgb(229, 126, 126) !important;
    border-color: transparent !important;
}
